%define tarname pyFltk

Summary:	Python wrapper for the FLTK library
Name:		python-pyfltk
Version:	1.3.3
Release:	%mkrel 5
License:	GPLv2
Group:		Development/Python
Url:		http://pyfltk.sourceforge.net/
Source0:	http://downloads.sourceforge.net/pyfltk/%{tarname}-%{version}_py2.tar.gz
Source1:	http://downloads.sourceforge.net/pyfltk/%{tarname}-%{version}_py3.tar.gz
Patch0:		pyFltk-1.3.0rc1-build.patch
Patch1:		pyFltk-1.3.3_py3-link.patch
BuildRequires:	fltk-devel >= 1.3.0
BuildRequires:	pkgconfig(python2)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(glu)
BuildRequires:	swig

%description 
pyFLTK is a Python wrapper for the Fast Light Tool Kit
cross-platform graphical user-interface library.

%package -n python3-pyfltk
Summary: Python3 wrapper for the FLTK library
Group: Development/Python

%description -n python3-pyfltk
pyFLTK is a Python wrapper for the Fast Light Tool Kit
cross-platform graphical user-interface library.

%prep
%setup -q -n %{tarname}-%{version} -a1
%patch0 -p1 -b .cflags

# (wally) With P0, disable Werror_cflags temporarily to get pkg build
%define Werror_cflags   %nil
sed -i -e 's|@MGA_CFLAGS@|%{optflags} -Wformat=2|' setup.py

pushd %{tarname}-%{version}
%patch0 -p1 -b .cflags
%patch1 -p1 -b .link
%define Werror_cflags   %nil
sed -i -e 's|@MGA_CFLAGS@|%{optflags} -Wformat=2|' setup.py
popd

%build
CPPFLAGS="-DFL_INTERNALS %ldflags" %py2_build
pushd %{tarname}-%{version}
#define _disable_ld_no_undefined %nil
CPPFLAGS="-DFL_INTERNALS %ldflags" %py3_build
popd

%install
%py2_install
rm -rf %{buildroot}%{python2_sitearch}/fltk/docs
rm -rf %{buildroot}%{python2_sitearch}/fltk/test

pushd %{tarname}-%{version}
#define _disable_ld_no_undefined %nil
%py3_install
rm -rf %{buildroot}%{python3_sitearch}/fltk/docs
rm -rf %{buildroot}%{python3_sitearch}/fltk/test
popd

%files
%doc CHANGES README
%{python2_sitearch}/fltk/
%{python2_sitearch}/*info

%files -n python3-pyfltk
%doc %{tarname}-%{version}/CHANGES %{tarname}-%{version}/README
%{python3_sitearch}/fltk/
%{python3_sitearch}/*info


%changelog
* Thu Apr 28 2016 daviddavid <daviddavid> 1.3.3-5.mga6
+ Revision: 1007310
- rebuild with fixed fltk-devel
- use new python macros

* Fri Feb 12 2016 umeabot <umeabot> 1.3.3-4.mga6
+ Revision: 958646
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.3.3-3.mga6
+ Revision: 888836
- rebuild for python 3.5

* Sat Sep 19 2015 philippem <philippem> 1.3.3-2.mga6
+ Revision: 881337
- fix build, add BR for glu

* Tue Aug 18 2015 fwang <fwang> 1.3.3-1.mga6
+ Revision: 865503
- update file list
- drop undefined flag
- fix linkage of python3 ext
- add wformat
- br python3
- 1.3.3

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-8.mga5
+ Revision: 750917
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3.0-7.mga5
+ Revision: 729453
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-6.mga5
+ Revision: 688251
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.3.0-4.mga4
+ Revision: 544061
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3.0-3.mga4
+ Revision: 499196
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 379331
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 26 2012 fwang <fwang> 1.3.0-1.mga2
+ Revision: 202024
- update doc list
- 1.3.0 final
- update tarball
- br swig
- regenerate wrapper
- new version 1.3.0 rc1

  + wally <wally>
    - add P0 to disable Werror_cflags temporarily to get pkg build
    - use correct CPPFLAGS to get pkg build

* Sun Apr 24 2011 grenoya <grenoya> 1.1.3-2.mga1
+ Revision: 90154
- imported package python-pyfltk


* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 1.1.3-2mdv2011.0
+ Revision: 594002
- rebuild for py2.7

* Wed Jan 14 2009 Lev Givon <lev@mandriva.org> 1.1.3-1mdv2009.1
+ Revision: 329282
- Patch to build against latest fltk package.
- import python-pyfltk


